{
    "objects": [
        {
            "attributes": {
                "description": "Overview of Kubernetes API Server",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Top clients by number of requests [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"stacked\", \"terms_size\": \"10\", \"seperate_axis\": 0, \"color\": \"rgba(104,188,0,1)\", \"line_width\": 1, \"split_mode\": \"terms\", \"filter\": \"\", \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"id\": \"0e6ff4a0-5792-11e8-8bd0-2180975e72dd\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"split_filters\": [{\"id\": \"9e4b8030-5792-11e8-8bd0-2180975e72dd\", \"color\": \"#68BC00\"}], \"terms_field\": \"kubernetes.apiserver.request.client\", \"label\": \"Top clients by number of requests (5m)\"}], \"type\": \"top_n\", \"interval\": \"5m\", \"bar_color_rules\": [{\"id\": \"61a13010-5794-11e8-8bd0-2180975e72dd\"}], \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"API Server Top clients by number of requests [Metricbeat Kubernetes] ECS\"}"
            },
            "id": "7cbeb750-5794-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:23:10.501Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Requests [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"interval\": \"auto\", \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"fill\": \"0\", \"formatter\": \"us,ms,2\", \"value_template\": \"{{value}} ms\", \"stacked\": \"none\", \"seperate_axis\": 0, \"color\": \"rgba(159,5,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"filter\": \"NOT (kubernetes.apiserver.request.verb: WATCH or kubernetes.apiserver.request.verb: CONNECT)\", \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.latency.sum\", \"type\": \"sum\"}, {\"id\": \"a2185e50-57a0-11e8-af57-a1d645d2b569\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"id\": \"b09133d0-57a0-11e8-af57-a1d645d2b569\", \"type\": \"calculation\", \"script\": \"params.sum / params.count\", \"variables\": [{\"id\": \"b27c8910-57a0-11e8-af57-a1d645d2b569\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"name\": \"sum\"}, {\"id\": \"b5fc8810-57a0-11e8-af57-a1d645d2b569\", \"field\": \"a2185e50-57a0-11e8-af57-a1d645d2b569\", \"name\": \"count\"}]}], \"label\": \"Avg response time\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"stacked\": \"none\", \"seperate_axis\": 1, \"color\": \"rgba(22,165,165,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"c0019340-57a1-11e8-a049-ff54cef064a2\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"c001ba50-57a1-11e8-a049-ff54cef064a2\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"id\": \"dc83b390-57a1-11e8-a049-ff54cef064a2\", \"field\": \"c001ba50-57a1-11e8-a049-ff54cef064a2\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Requests rate\"}], \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"API Server Requests [Metricbeat Kubernetes] ECS\"}"
            },
            "id": "ec360ff0-57a0-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:21:27.515Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "API Server Top clients by resource [Metricbeat Kubernetes] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"stacked\", \"terms_size\": \"10\", \"seperate_axis\": 0, \"color\": \"rgba(104,188,0,1)\", \"line_width\": 1, \"split_mode\": \"terms\", \"filter\": \"\", \"chart_type\": \"line\", \"point_size\": 1, \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"override_index_pattern\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.apiserver.request.count\", \"type\": \"max\"}, {\"id\": \"0e6ff4a0-5792-11e8-8bd0-2180975e72dd\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"series_drop_last_bucket\": 1, \"split_filters\": [{\"id\": \"9e4b8030-5792-11e8-8bd0-2180975e72dd\", \"color\": \"#68BC00\"}], \"terms_field\": \"kubernetes.apiserver.request.resource\", \"label\": \"Top clients by number of requests (5m)\"}], \"type\": \"top_n\", \"interval\": \"5m\", \"bar_color_rules\": [{\"id\": \"61a13010-5794-11e8-8bd0-2180975e72dd\"}], \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"API Server Top clients by resource [Metricbeat Kubernetes] ECS\"}"
            },
            "id": "95a7f110-57a2-11e8-afa2-e9067ea62228-ecs",
            "type": "visualization",
            "updated_at": "2018-05-14T18:23:50.093Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "Kubernetes API server metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": false, \"darkTheme\": false}",
                "panelsJSON": "[{\"id\": \"7cbeb750-5794-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"1\", \"h\": 24, \"x\": 0, \"w\": 24, \"y\": 22}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"6.3.0\"}, {\"id\": \"ec360ff0-57a0-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"3\", \"h\": 22, \"x\": 0, \"w\": 48, \"y\": 0}, \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"6.3.0\"}, {\"id\": \"95a7f110-57a2-11e8-afa2-e9067ea62228-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"4\", \"h\": 24, \"x\": 24, \"w\": 24, \"y\": 22}, \"panelIndex\": \"4\", \"embeddableConfig\": {}, \"version\": \"6.3.0\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Kubernetes] API server ECS",
                "version": 1
            },
            "id": "af7225b0-5794-11e8-afa2-e9067ea62228-ecs",
            "type": "dashboard",
            "updated_at": "2018-05-14T18:23:55.202Z",
            "version": 5
        }
    ],
    "version": "6.3.0"
}